import csv
import pandas as pd

'''
@param csv_name: the csv filename to read from
@return: a DictReader object
'''
def csv_to_dict(csv_name):
#gets data from the csv file and puts it into a DictReader
    input_file = csv.DictReader(open(csv_name))
    return input_file
#you can access the data this way:
# for row in input_file:
    #items = dict(list(row.items()))
    #print(items['key']) - key corresponds to the column name in the CSV File

'''
@param output: the csv filename to write the output to
@param rows: list of dictionaries, containing the query result tuples
@return: None
'''
def writeToCSV(output, rows):
    df = pd.DataFrame.from_dict(rows)
    df.to_csv (output, index = False, header=True)